#include "cmwcompbarcode.h"
#include "ui_cmwcompbarcode.h"
#include "logic.h"
CMWCompBarCode::CMWCompBarCode(QWidget *parent) :
    CMWidget(parent),
    ui(new Ui::CMWCompBarCode)
{
    ui->setupUi(this);
    m_iTimerInterval=100;
}

CMWCompBarCode::~CMWCompBarCode()
{
    delete ui;
}

void CMWCompBarCode::MTimeFresh()
{
    CBarCodeDriver* pBarCodeDriver=GET_CARD(BARCODE_DRIVER,
                                                CBarCodeDriver);

    ui->label_BarCode->setText(pBarCodeDriver->GetBarCode_String(BARCODE));

}

void CMWCompBarCode::on_pushButton_Test_clicked()
{
    V_MsgQueue msgqueue;
    msgqueue.pushback_Msg(VarMsg_Driver_ID,
                          QObject::trUtf8("Get BarCode Sig"),
                          QVariantList()
                          <<BARCODE_DRIVER
                          <<CBarCodeDriver::GETBARCODE<<BARCODE,0);
    m_gSystem.start_test(SM_MAIN, msgqueue,false);
}
